aboutsummaryrefslogtreecommitdiffhomepage
path: root/contrib/notmuch-deliver/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/notmuch-deliver/autogen.sh')
-rwxr-xr-xcontrib/notmuch-deliver/autogen.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/contrib/notmuch-deliver/autogen.sh b/contrib/notmuch-deliver/autogen.sh
new file mode 100755
index 00000000..2c660bcf
--- /dev/null
+++ b/contrib/notmuch-deliver/autogen.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+# vim: set sw=4 et sts=4 tw=80 :
+
+die() {
+ echo "$@" >&2
+ exit 1
+}
+
+echo ">>> libtoolize --copy --force --automake"
+libtoolize --copy --force --automake || die "libtoolize failed"
+echo ">>> rm -f config.cache"
+rm -f config.cache
+echo ">>> aclocal -I m4"
+aclocal -I m4 || die "aclocal failed"
+echo ">>> autoheader"
+autoheader || die "autoheader failed"
+echo ">>> autoconf"
+autoconf || die "autoconf failed"
+echo ">>> automake --foreign --add-missing --copy"
+automake --foreign --add-missing --copy || die "automake failed"